This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 219869 - (perldap) Review Request: perl-Mozilla-LDAP
Review Request: perl-Mozilla-LDAP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Package Reviews List
:
Depends On: mozldap
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-15 15:02 EST by Rich Megginson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 18:57:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
updated spec file (3.32 KB, text/plain)
2007-01-10 17:31 EST, Dennis Gilmore
no flags Details

  None (edit)
Description Rich Megginson 2006-12-15 15:02:37 EST
This perl module is a wrapper around the Mozilla LDAP C SDK.  This package is
necessary for Fedora Directory Server (not for core server functionality, but
for management scripts) and other applications that require the use of the
Mozilla LDAP C SDK from perl applications.  The reason why we must use this
module and not the more common Net::LDAP module is because we require the use of
Mozilla NSS for crypto, and Net::LDAP uses openssl (via Net::SSLeay).

SPEC:
ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/1.5/perl-Mozilla-LDAP.spec
SRPM:
ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/1.5/perl-Mozilla-LDAP-1.5-6.src.rpm
Sources:
ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/1.5/perl-mozldap-1.5.tar.gz
ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/1.5/Makefile.PL
Comment 1 Dennis Gilmore 2007-01-09 16:34:59 EST
a couple of notes

this builds and works fine on sparc  not sure why its ExclusiveArch i386 
x86_64

the Requires on nss nspr and mozldap are unneccesary  rpm has the smarts to 
know that 

source needs to be a full url in spec file

please add disttag to the release

rpmlint says
E: perl-Mozilla-LDAP useless-explicit-provides perl(Mozilla::LDAP::Entry)
E: perl-Mozilla-LDAP 
non-standard-executable-perm /usr/lib/perl5/vendor_perl/5.8.8/sparc-linux-thread-multi/auto/Mozilla/LDAP/API/API.so 
0555
E: perl-Mozilla-LDAP 
zero-length /usr/lib/perl5/vendor_perl/5.8.8/sparc-linux-thread-multi/auto/Mozilla/LDAP/API/API.bs
Comment 3 Dennis Gilmore 2007-01-10 17:31:30 EST
Created attachment 145292 [details]
updated spec file
Comment 4 Dennis Gilmore 2007-01-10 17:32:17 EST
Two small issues 
include  MPL-1.1.txt RELEASE  in %doc  and change the license field to MPL  as 
thats what it seems to be licensed under.

 package meets naming and packaging guidelines.
 specfile is properly named, is cleanly written and uses macros consistently.
 dist tag is present.
 build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 license is open source-compatible.   MPL License text included in package.
 source files match upstream:
    136f74d7649ada77cdf7657bb01a165f  perl-mozldap-1.5.tar.gz
    136f74d7649ada77cdf7657bb01a165f  ../SOURCES/perl-mozldap-1.5.tar.gz
 latest version is being packaged.
 BuildRequires are proper.
 package builds in mock ( on FC-6 ).
 rpmlint is silent.
 final provides and requires are sane:
 no shared libraries are present.
 package is not relocatable.
 owns the directories it creates.
 doesn't own any directories it shouldn't.
 no duplicates in %files.
 file permissions are appropriate.
 %clean is present.

 no scriptlets present.
 code, not content.
 documentation is small, so no -docs subpackage is necessary.
 %docs are not necessary for the proper functioning of the package.
 no headers.
 no pkgconfig files.
 no libtool .la droppings.
 not a GUI app.
 not a web app.

APPROVED using the attached spec file which fixes the issues 
Comment 6 Till Maas 2007-09-01 09:37:26 EDT
FE-ACCEPT should be blocked, not being depended on.

Note You need to log in before you can comment on or make changes to this bug.